Packages - Bug #2820

[xmms2]: needs rebuild for new perl
2020-06-28 10:29 AM - libreuser

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

LC_ALL=C pacman —-Syu

(3/4) Warn about old perl modules

WARNING: '/usr/lib/perl5/5.30' contains data from at least 1 packages which will NOT be used by
the installed perl interpreter.

-> Run the following command to get a list of affected packages: pacman —-Qgo '/usr/lib/perl5/5.30

v

pacman -Qgo '/usr/lib/perl5/5.30'
xmms 2

LC_ALL=C pacman —-Rs xmms2
error: failed to prepare transaction (could not satisfy dependencies)
removing xmms2 breaks dependency 'xmms2' required by lxmusic

History

#1 - 2020-06-28 02:33 PM - eschwartz

- Status changed from unconfirmed to confirmed

Arch Linux completed a perl upgrade to 5.32, so all parabola packages linked to perl or providing perl modules need to be rebuilt.

#2 - 2020-06-29 12:42 AM - bill-auger

so you would need to remove 'Ixmusic' if you want to remove
'xmms2'

# pacman -R xmms2 lxmusic

you should really only use -Rs on packages which you know that
you installed yourself explicitly

anyways, that is not an error - it is just a warning, so you do
not really need to do anything, if you dont want to, especially
if you do not use Ixmusic or xmms

#3 - 2020-06-29 12:47 AM - bill-auger
- Description updated

- Subject changed from WARNING outdated packages not used by new perl interpreter to [xmmsZ2]: needs rebuild for new perl
